Package com.io7m.jcamera.examples.jogl

# Class ExampleFPSStyleSimulation

java.lang.Object
com.io7m.jcamera.examples.jogl.ExampleFPSStyleSimulation

All Implemented Interfaces:
  `ExampleFPSStyleSimulationType`

public final class ExampleFPSStyleSimulation extends Object implements ExampleFPSStyleSimulationType
The example physical simulation containing just the fps-style camera, updated at a fixed time step.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExampleFPSStyleSimulation(ExampleRendererControllerType in_renderer)`
  $example: Construct a new simulation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `cameraIsEnabled()`
  `void`
  `cameraSetEnabled(boolean b)`
  Enable/disable the camera.
  `JCameraFPSStyleType`
  `getCamera()`
  `float`
  `getDeltaTime()`
  `JCameraFPSStyleInputType`
  `getInput()`
  `JCameraFPSStyleIntegratorType`
  `getIntegrator()`
  `JCameraFPSStyleSnapshot`
  `integrate()`
  $example: Integrate the camera.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExampleFPSStyleSimulation

    public ExampleFPSStyleSimulation(ExampleRendererControllerType in_renderer)
    $example: Construct a new simulation.
    Parameters:
      `in_renderer` - The interface to the renderer

- ## Method Details

  - ### integrate

    public JCameraFPSStyleSnapshot integrate()
    $example: Integrate the camera.
    Specified by:
      `integrate` in interface `ExampleFPSStyleSimulationType`
    Returns:
      A new camera snapshot.

  - ### cameraIsEnabled

    public boolean cameraIsEnabled()
    Specified by:
      `cameraIsEnabled` in interface `ExampleFPSStyleSimulationType`
    Returns:
      `true` if the camera is enabled.

  - ### cameraSetEnabled

    public void cameraSetEnabled(boolean b)
    Description copied from interface: `ExampleFPSStyleSimulationType`
    Enable/disable the camera.
    Specified by:
      `cameraSetEnabled` in interface `ExampleFPSStyleSimulationType`
    Parameters:
      `b` - `true` if the camera should be enabled.

  - ### getDeltaTime

    public float getDeltaTime()
    Specified by:
      `getDeltaTime` in interface `ExampleFPSStyleSimulationType`
    Returns:
      The simulation delta time

  - ### getInput

    public JCameraFPSStyleInputType getInput()
    Specified by:
      `getInput` in interface `ExampleFPSStyleSimulationType`
    Returns:
      The camera input

  - ### getIntegrator

    public JCameraFPSStyleIntegratorType getIntegrator()
    Specified by:
      `getIntegrator` in interface `ExampleFPSStyleSimulationType`
    Returns:
      The integrator used for the camera.

  - ### getCamera

    public JCameraFPSStyleType getCamera()
    Specified by:
      `getCamera` in interface `ExampleFPSStyleSimulationType`
    Returns:
      The camera used for the simulation.